@import "../base/variable.scss";
@import "../base/mixins.scss";

.dashboard_section {
    @include clearfix();

    .dashboard_inner {
        .right_side_wrap {
            &.top-space {
                margin-top: 0;
                padding-top: 150px;
            }

            .heading_area {
                padding-left: 60px;
                padding-bottom: 36px;
                border-bottom: 2px solid $border-gray;
                @include clearfix();
                &.el{
                    h2{
                        color: $primary-color;
                    }
                }
                a{
                    color: $primary-color;
                }

                h2 {
                    color: $red;
                    font-size: 36px;
                    font-weight: 600;
                    padding-bottom: 0px;
                }

                p {
                    font-size: 18px;
                    color: $black;
                    font-weight: 500;
                    padding-top: 6px;
                }
            }

            .columns_areas {
                margin-right: 100px;

                .top_boxes_area {
                    padding-top: 70px;
                    padding-bottom: 48px;
                    padding-left: 50px;

                    .inner_box_area {
                        position: relative;
                        background-color: $white;
                        box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
                        border-radius: 15px;
                        @include clearfix();

                        .plan_gb {
                            color: #ffffff;
                            height: 65px;
                            font-size: 24px;
                            font-weight: 600;
                            padding: 10px;
                            line-height: 45px;
                            text-align: center;
                            width: 210px;
                            background-color: $red;
                            border-radius: 5px 5px 30px 30px;
                            box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                            margin-left: 30px;
                            position: relative;
                            top: -8px;
                        }

                        .item {
                            padding-left: 30px;
                            padding-right: 30px;

                            .plans_ment {
                                .desp {
                                    p {
                                        color: $offfspra2;
                                        padding-top: 15px;
                                        font-size: 18px;
                                        font-weight: 500;
                                    }
                                }

                                .price {
                                    padding-top: 20px;

                                    h2 {

                                        font-size: 38px;
                                        color: $primary_color;
                                    }

                                    sub {
                                        color: $offfspra2;
                                        font-size: 18px;
                                        font-weight: 400;
                                    }
                                }

                                .line_area {
                                    p {
                                        font-size: 18px;
                                        color: $offfspra2;
                                        font-weight: 500;
                                        padding-top: 4px;
                                    }
                                }

                                .expire_area {
                                    position: absolute;
                                    bottom: 0;
                                    right: 0;
                                    padding-right: 30px;
                                    padding-bottom: 20px;

                                    p {
                                        float: right;
                                        font-size: 16px;
                                        color: $black;
                                        font-weight: 600;
                                        padding-top: 10px;
                                    }
                                }
                            }
                        }
                    }

                    .gradient_box_area {
                        background: linear-gradient(112.26deg, #D2E4FB -0.7%, #A4C5F0 101.58%);
                        position: relative;
                        box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
                        border-radius: 15px;
                        min-height: 284px;

                        .item {
                            padding: 30px;

                            .top_area {
                                position: relative;


                                .view_border {
                                    position: absolute;
                                    top: 0;
                                    right: 0;

                                    a {
                                        .btn-primary-1 {
                                            background-color: transparent;
                                            border: 2px solid $primary_color;
                                        }
                                    }
                                }
                            }

                            .card_number {
                                padding-top: 40px;

                                h2 {
                                    font-size: 24px;
                                    font-weight: 600;
                                    color: $primary_color;
                                }
                            }

                            .name_area {
                                position: absolute;
                                bottom: 0;
                                left: 0;
                                padding-left: 30px;
                                padding-bottom: 20px;

                                p {
                                    float: left;
                                    font-size: 16px;
                                    color: $black;
                                    font-weight: 600;
                                    padding-top: 10px;
                                }
                            }

                            .expire_area {
                                position: absolute;
                                bottom: 0;
                                right: 0;
                                padding-right: 30px;
                                padding-bottom: 20px;

                                p {
                                    // float: right;
                                    font-size: 16px;
                                    color: $black;
                                    font-weight: 600;
                                    padding-top: 10px;
                                }
                            }
                        }
                    }
                }

                .line_boxes_row {
                    border-top: 2px solid $border_line;
                    padding-top: 50px;
                    padding-bottom: 60px;
                    padding-left: 50px;

                    .inner_box_area {
                        position: relative;
                        min-height: 284px;
                        background-color: $white;
                        box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
                        border-radius: 15px;
                        padding-bottom: 20px;
                        padding-left: 18px;
                        padding-right: 18px;

                        .plan_gb {
                            color: $white;
                            height: 57px;
                            font-size: 18px;
                            font-weight: 400;
                            line-height: 60px;
                            text-align: center;
                            width: 210px;
                            background-color: $red;
                            border-radius: 5px 5px 30px 30px;
                            box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                            margin: 0 auto;
                            position: relative;
                            top: -8px;
                        }

                        .item {


                            .activate_area {
                                padding-top: 22px;

                                p {
                                    background-color: $input;
                                    color: $red;
                                    font-size: 14px;
                                    border-radius: 10px;
                                    width: 110px;
                                    font-weight: 500;
                                    margin: 0 auto;
                                    text-align: center;
                                }
                            }

                            .mobile_sim_info {
                                padding-top: 30px;

                                h6 {
                                    font-size: 18px;
                                    font-weight: 500;
                                    color: $primary_color;
                                }

                                p {
                                    font-size: 14px;
                                    color: $black;
                                    font-weight: 500;
                                }
                            }

                            .contact_info {
                                background-color: $input;
                                padding: 16px;
                                border-radius: 15px;
                                margin-top: 30px;
                                margin-bottom: 20px;

                                p {
                                    color: $black;
                                    font-size: 14px;
                                    border-radius: 10px;
                                    font-weight: 500;
                                }
                            }

                            .add_icon_area {
                                .icon_plus_area {
                                    position: absolute;
                                    // top: 50%;
                                    bottom: 0;
                                    right: 0;
                                    left: 0;
                                    top: 30%;
                                    text-align: center;

                                    i {
                                        background-color: $input;
                                        color: $primary_color;
                                        padding: 28px;
                                        font-size: 38px;
                                        border-radius: 10px;
                                        text-align: center;
                                    }

                                    p {
                                        font-size: 18px;
                                        font-weight: 500;
                                        padding-top: 12px;
                                    }

                                }


                            }

                        }
                    }
                }
            }
        }
    }
}





/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

@media (min-width: 1200px) and (max-width: 1399px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 30px;
                }

                .columns_areas {
                    margin-right: 30px;

                    .top_boxes_area {
                        padding-top: 60px;
                        padding-left: 30px;

                        .inner_box_area {
                            min-height: 284px;

                            .item {
                                padding-left: 30px;
                                padding-right: 30px;

                                .plans_ment {
                                    .price {
                                        padding-top: 20px;

                                        h2 {

                                            font-size: 38px;

                                        }
                                    }
                                }
                            }
                        }

                        .gradient_box_area {
                            margin-top: 30px;
                            min-height: 284px;

                            .item {
                                padding: 30px;


                                .card_number {
                                    padding-top: 40px;

                                }
                            }
                        }
                    }

                    .line_boxes_row {
                        padding-top: 50px;
                        padding-bottom: 60px;
                        padding-left: 30px;

                        .inner_box_area {
                            min-height: 370px;
                            margin-bottom: 40px;
                        }
                    }
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {

    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 30px;
                }

                .columns_areas {
                    margin-right: 30px;

                    .top_boxes_area {
                        padding-top: 60px;
                        padding-left: 30px;

                        .inner_box_area {
                            min-height: 284px;

                            .item {
                                padding-left: 30px;
                                padding-right: 30px;

                                .plans_ment {
                                    .price {
                                        padding-top: 20px;

                                        h2 {

                                            font-size: 38px;
                                            color: $primary_color;
                                        }
                                    }
                                }
                            }
                        }

                        .gradient_box_area {
                            margin-top: 30px;
                            min-height: 284px;

                            .item {
                                padding: 30px;



                                .card_number {
                                    padding-top: 40px;

                                }
                            }
                        }
                    }

                    .line_boxes_row {

                        padding-top: 50px;
                        padding-bottom: 60px;
                        padding-left: 30px;

                        .inner_box_area {
                            min-height: 370px;
                            margin-bottom: 40px;
                        }
                    }
                }
            }
        }
    }

}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 30px;
                }

                .columns_areas {
                    margin-right: 30px;

                    .top_boxes_area {
                        padding-top: 60px;
                        padding-left: 30px;

                        .inner_box_area {
                            min-height: 284px;

                            .item {
                                padding-left: 30px;
                                padding-right: 30px;

                                .plans_ment {
                                    .price {
                                        padding-top: 20px;

                                        h2 {

                                            font-size: 38px;
                                            color: $primary_color;
                                        }
                                    }
                                }
                            }
                        }

                        .gradient_box_area {
                            margin-top: 30px;
                            min-height: 284px;

                            .item {
                                padding: 30px;



                                .card_number {
                                    padding-top: 40px;

                                }
                            }
                        }
                    }

                    .line_boxes_row {

                        padding-top: 50px;
                        padding-bottom: 60px;
                        padding-left: 30px;

                        .inner_box_area {
                            min-height: 370px;
                            margin-bottom: 40px;
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 20px;

                    h2 {
                        font-size: 28px;

                    }

                    p {
                        font-size: 16px;
                    }
                }

                .columns_areas {
                    margin-right: 20px;

                    .top_boxes_area {
                        padding-top: 46px;
                        padding-left: 20px;


                        .inner_box_area {
                            min-height: 284px;

                            .plan_gb {
                                font-size: 22px;
                                line-height: 46px;
                                width: 149px;
                                margin-left: 24px;
                            }


                            .item {
                                padding-left: 20px;
                                padding-right: 20px;

                                .plans_ment {
                                    .price {
                                        padding-top: 20px;

                                        h2 {
                                            font-size: 36px;
                                        }
                                    }

                                    .line_area {
                                        p {
                                           font-size: 14px; 
                                           padding-top: 10px;
                                        }
                                    }

                                    .desp {
                                        p {
                                            font-size: 16px;
                                        }
                                    }

                                    .expire_area {
                                        padding-right: 16px;
                                        padding-bottom: 16px;

                                        p {
                                            font-size: 14px;
                                            padding-top: 0px;
                                        }
                                    }
                                }
                            }
                        }

                        .gradient_box_area {
                          min-height: 230px;
                          margin-top: 30px;
    
                            .item {
                                padding: 10px;
                                 .card_number {
                                    padding-top: 40px;
    
                                    h2 {
                                        padding-left: 10px;
                                        font-size: 22px;
                                        
                                    }
                                }
    
                                .name_area {
                                   padding-left: 18px;
    
                                    p {
                                         font-size: 14px;
                                         }
                                }
    
                                .expire_area {
                                   padding-right: 18px;
                                  
                                    p {
                                        font-size: 14px;
                                        }
                                }
                            }
                        }
                    }

                    .line_boxes_row {
                       padding-top: 50px;
                        padding-bottom: 60px;
                        padding-left: 30px;

                        .inner_box_area {
                            min-height: 370px;
                            margin-bottom: 40px;
                        }
                    }
                }
            }
        }
    }

}

/* Smaller phones */
@media (max-width: 360px) {
    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 20px;

                    h2 {
                        font-size: 28px;

                    }

                    p {
                        font-size: 16px;
                    }
                }

                .columns_areas {
                    margin-right: 20px;

                    .top_boxes_area {
                        padding-top: 46px;
                        padding-left: 20px;


                        .inner_box_area {
                            min-height: 284px;

                            .plan_gb {
                                font-size: 22px;
                                line-height: 46px;
                                width: 149px;
                                margin-left: 24px;
                            }


                            .item {
                                padding-left: 20px;
                                padding-right: 20px;

                                .plans_ment {
                                    .price {
                                        padding-top: 20px;

                                        h2 {
                                            font-size: 36px;
                                        }
                                    }

                                    .line_area {
                                        p {
                                           font-size: 14px; 
                                           padding-top: 10px;
                                        }
                                    }

                                    .desp {
                                        p {
                                            font-size: 16px;
                                        }
                                    }

                                    .expire_area {
                                        padding-right: 16px;
                                        padding-bottom: 16px;

                                        p {
                                            font-size: 14px;
                                            padding-top: 0px;
                                        }
                                    }
                                }
                            }
                        }

                        .gradient_box_area {
                          min-height: 230px;
                          margin-top: 30px;
    
                            .item {
                                padding: 10px;
                                 .card_number {
                                    padding-top: 40px;
    
                                    h2 {
                                        padding-left: 10px;
                                        font-size: 22px;
                                        
                                    }
                                }
    
                                .name_area {
                                   padding-left: 18px;
    
                                    p {
                                         font-size: 14px;
                                         }
                                }
    
                                .expire_area {
                                   padding-right: 18px;
                                  
                                    p {
                                        font-size: 14px;
                                        }
                                }
                            }
                        }
                    }

                    .line_boxes_row {

                        padding-top: 50px;
                        padding-bottom: 60px;
                        padding-left: 20px;

                        .inner_box_area {
                            min-height: 370px;
                            margin-bottom: 40px;
                        }
                    }
                }
            }
        }
    }

}